Summary: Converts plain text written with any character encoding into UTF-8.
Name: utrans
Version: 1.0
Release: 1vo
Group: Utilities/Text
Url: http://www.whizkidtech.net/i18n/
Source: http://www.whizkidtech.net/i18n/utrans-1.0.tar.gz
Source1: utrans.sh
Patch: utrans-1.0.bugfixes.patch
Copyright: Copyright (c) 1999 G. Adam Stanislav
Packager: Vaclav Ovsik <Vaclav.Ovsik@i.cz>
BuildRoot: /var/tmp/utrans
Requires: libutf-8

%description
This program can convert plain text written with any character encoding
into UTF-8.

package set: libutf-8 utrans hutrans uhtrans ptrans tuc

%prep
%setup -q
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/utrans/charmaps \
	$RPM_BUILD_ROOT/usr/bin/ \
	$RPM_BUILD_ROOT/usr/man/man1/ \
	$RPM_BUILD_ROOT/etc/profile.d/
install -m 0755 utrans mbm $RPM_BUILD_ROOT/usr/bin/
install -m 0644 *.1 $RPM_BUILD_ROOT/usr/man/man1/
for src in /usr/share/i18n/charmaps/*; do dst=$RPM_BUILD_ROOT/usr/lib/utrans/charmaps/${src#/usr/share/i18n/charmaps/}; ./mbm <$src >$dst || rm $dst; done
install -m 0755 $RPM_SOURCE_DIR/utrans.sh $RPM_BUILD_ROOT/etc/profile.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/lib/utrans
%dir /usr/lib/utrans/charmaps
/usr/lib/utrans/charmaps/*
/usr/bin/*
/usr/man/man1/*
/etc/profile.d/*

%changelog
* Mon Dec 27 1999 Vaclav Ovsik <Vaclav.Ovsik@i.cz>
- first spec file created

